using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Waste.Application;
using Waste.Domain;

namespace Waste.Web.Entry.Pages.SZPlt
{
    public class EditCollectModel : BaseModel
    {
        private readonly ISZPltService _sZPltService;
        public W_SZCollect data = new W_SZCollect();
        public List<W_SZAddress> addresslist = new List<W_SZAddress>();
        public Guid estateid = Guid.Empty;
        public EditCollectModel(ISZPltService sZPltService)
        {
            _sZPltService = sZPltService;
        }
        public async Task OnGetAsync(Guid? id = null)
        {
            addresslist = await _sZPltService.GetAddressAllListAsync();
            if (id.HasValue && id.Value != Guid.Empty)
            {
                data = await _sZPltService.DetailCollectAsync(id.Value);
                estateid = Guid.Parse(data.EstateId);
            }
        }
    }
}
